Add external Id

Add an external Id to a Deel contract. You can use this to add a Deel contract’s refernece Id in your platform. External Id can be passed as a query parameter in List contract endpoint to find this contract later. Token scopes: contracts:write

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
Deel contract id.

Request

Contract object that needs to be created
dataobjectRequired

Response

Successful operation.
idstring>=1 character
Unique identifier for the contract.
typeenum
Type of a contract.
titlestring>=1 character
Title of the contract.
clientobject or null
Client details associated with the contract.
statusenum
Status of a contract in Deel workflow.
workerobject or null
Worker details associated with the contract.
created_atstringformat: "date-time"
Date and time when the contract was created.
signaturesobject
Signature information for the contract parties.
start_datestringformat: "date-time"
Date and time when the contract starts.
updated_atstringformat: "date-time"
Date and time when the contract was updated.
invitationsobject
Invitation email addresses for signing the contract.
is_archivedboolean or null
Flag to indicate if the contract is archived.
special_clausestring or null
Special clause of the contract.
termination_datestring or null
Date and time when the contract ends.
quoteobject or null
EOR quote approved by Deel.
job_titlestring or null
Job title associated with the contract.
seniorityobject or null
Seniority describes level of expertise at a job e.g. junior.
external_idstring or null
External identifier of the contract.
who_reportsstring or null
Who reports the hours.
cost_centerslist of objects or null
List of cost centers associated with the contract.
custom_fieldslist of objects or null
List of custom fields attached to the contract.
notice_perioddouble or null
Notice period in days.
scope_of_workstring or null
Scope of work of the contract.
work_scheduleobject or null
Defines a work schedule including working days, hours, and employment details
employment_typeenum or null
Type of employment.
Allowed values:
contract_templateobject or null
Contract template details.
work_statement_idstring or null
The unique identifier of the associated work statement.
employment_detailsobject or null

Employment-related details for the contract.

compensation_detailsobject or null
Compensation and payment configuration for the contract.

Errors